Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.color
Class NamedColor

    java.lang.Object
      toxi.color.NamedColor

    public class NamedColor

extends java.lang.Object

Defines a list of named colors across the spectrum and provides a means to access them by name (strings) dynamically (e.g. using config files or when building `ColorTheme`s)

Field Summary
`static ReadonlyTColor` | `ALICEBLUE`
`static ReadonlyTColor` | `ANTIQUEWHITE`
`static ReadonlyTColor` | `AQUA`
`static ReadonlyTColor` | `AQUAMARINE`
`static ReadonlyTColor` | `AZURE`
`static ReadonlyTColor` | `BARK`
`static ReadonlyTColor` | `BEIGE`
`static ReadonlyTColor` | `BISQUE`
`static ReadonlyTColor` | `BLACK`
`static ReadonlyTColor` | `BLANCHEDALMOND`
`static ReadonlyTColor` | `BLUE`
`static ReadonlyTColor` | `BLUEVIOLET`
`static ReadonlyTColor` | `BROWN`
`static ReadonlyTColor` | `BURLYWOOD`
`static ReadonlyTColor` | `CADETBLUE`
`static ReadonlyTColor` | `CHARTREUSE`
`static ReadonlyTColor` | `CHOCOLATE`
`static ReadonlyTColor` | `CORAL`
`static ReadonlyTColor` | `CORNFLOWERBLUE`
`static ReadonlyTColor` | `CORNSILK`
`static ReadonlyTColor` | `CRIMSON`
`static ReadonlyTColor` | `CYAN`
`static ReadonlyTColor` | `DARKBLUE`
`static ReadonlyTColor` | `DARKCYAN`
`static ReadonlyTColor` | `DARKGOLDENROD`
`static ReadonlyTColor` | `DARKGRAY`
`static ReadonlyTColor` | `DARKGREEN`
`static ReadonlyTColor` | `DARKKHAKI`
`static ReadonlyTColor` | `DARKMAGENTA`
`static ReadonlyTColor` | `DARKOLIVEGREEN`
`static ReadonlyTColor` | `DARKORANGE`
`static ReadonlyTColor` | `DARKORCHID`
`static ReadonlyTColor` | `DARKRED`
`static ReadonlyTColor` | `DARKSALMON`
`static ReadonlyTColor` | `DARKSEAGREEN`
`static ReadonlyTColor` | `DARKSLATEBLUE`
`static ReadonlyTColor` | `DARKSLATEGRAY`
`static ReadonlyTColor` | `DARKTURQUOISE`
`static ReadonlyTColor` | `DARKVIOLET`
`static ReadonlyTColor` | `DEEPPINK`
`static ReadonlyTColor` | `DEEPSKYBLUE`
`static ReadonlyTColor` | `DIMGRAY`
`static ReadonlyTColor` | `DIMGREY`
`static ReadonlyTColor` | `DODGERBLUE`
`static ReadonlyTColor` | `FIREBRICK`
`static ReadonlyTColor` | `FLORALWHITE`
`static ReadonlyTColor` | `FORESTGREEN`
`static ReadonlyTColor` | `FUCHSIA`
`static ReadonlyTColor` | `GAINSBORO`
`static ReadonlyTColor` | `GHOSTWHITE`
`static ReadonlyTColor` | `GOLD`
`static ReadonlyTColor` | `GOLDENROD`
`static ReadonlyTColor` | `GRAY`
`static ReadonlyTColor` | `GREEN`
`static ReadonlyTColor` | `GREENYELLOW`
`static ReadonlyTColor` | `GREY`
`static ReadonlyTColor` | `HONEYDEW`
`static ReadonlyTColor` | `HOTPINK`
`static ReadonlyTColor` | `INDIANRED`
`static ReadonlyTColor` | `INDIGO`
`static ReadonlyTColor` | `IVORY`
`static ReadonlyTColor` | `KHAKI`
`static ReadonlyTColor` | `LAVENDER`
`static ReadonlyTColor` | `LAVENDERBLUSH`
`static ReadonlyTColor` | `LAWNGREEN`
`static ReadonlyTColor` | `LEMONCHIFFON`
`static ReadonlyTColor` | `LIGHTBLUE`
`static ReadonlyTColor` | `LIGHTCORAL`
`static ReadonlyTColor` | `LIGHTCYAN`
`static ReadonlyTColor` | `LIGHTGOLDENRODYELLOW`
`static ReadonlyTColor` | `LIGHTGREEN`
`static ReadonlyTColor` | `LIGHTGREY`
`static ReadonlyTColor` | `LIGHTPINK`
`static ReadonlyTColor` | `LIGHTSALMON`
`static ReadonlyTColor` | `LIGHTSEAGREEN`
`static ReadonlyTColor` | `LIGHTSKYBLUE`
`static ReadonlyTColor` | `LIGHTSLATEGRAY`
`static ReadonlyTColor` | `LIGHTSTEELBLUE`
`static ReadonlyTColor` | `LIGHTYELLOW`
`static ReadonlyTColor` | `LIME`
`static ReadonlyTColor` | `LIMEGREEN`
`static ReadonlyTColor` | `LINEN`
`static ReadonlyTColor` | `MAROON`
`static ReadonlyTColor` | `MEDIUMAQUAMARINE`
`static ReadonlyTColor` | `MEDIUMBLUE`
`static ReadonlyTColor` | `MEDIUMORCHID`
`static ReadonlyTColor` | `MEDIUMPURPLE`
`static ReadonlyTColor` | `MEDIUMSEAGREEN`
`static ReadonlyTColor` | `MEDIUMSLATEBLUE`
`static ReadonlyTColor` | `MEDIUMSPRINGGREEN`
`static ReadonlyTColor` | `MEDIUMTURQUOISE`
`static ReadonlyTColor` | `MEDIUMVIOLETRED`
`static ReadonlyTColor` | `MIDNIGHTBLUE`
`static ReadonlyTColor` | `MINTCREAM`
`static ReadonlyTColor` | `MISTYROSE`
`static ReadonlyTColor` | `MOCCASIN`
`static ReadonlyTColor` | `NAVAJOWHITE`
`static ReadonlyTColor` | `NAVY`
`static ReadonlyTColor` | `OLDLACE`
`static ReadonlyTColor` | `OLIVE`
`static ReadonlyTColor` | `OLIVEDRAB`
`static ReadonlyTColor` | `ORANGE`
`static ReadonlyTColor` | `ORANGERED`
`static ReadonlyTColor` | `ORCHID`
`static ReadonlyTColor` | `PALEGOLDENROD`
`static ReadonlyTColor` | `PALEGREEN`
`static ReadonlyTColor` | `PALETURQUOISE`
`static ReadonlyTColor` | `PALEVIOLETRED`
`static ReadonlyTColor` | `PAPAYAWHIP`
`static ReadonlyTColor` | `PEACHPUFF`
`static ReadonlyTColor` | `PERU`
`static ReadonlyTColor` | `PINK`
`static ReadonlyTColor` | `PLUM`
`static ReadonlyTColor` | `POWDERBLUE`
`static ReadonlyTColor` | `PURPLE`
`static ReadonlyTColor` | `RED`
`static ReadonlyTColor` | `ROSYBROWN`
`static ReadonlyTColor` | `ROYALBLUE`
`static ReadonlyTColor` | `SADDLEBROWN`
`static ReadonlyTColor` | `SALMON`
`static ReadonlyTColor` | `SANDYBROWN`
`static ReadonlyTColor` | `SEAGREEN`
`static ReadonlyTColor` | `SEASHELL`
`static ReadonlyTColor` | `SIENNA`
`static ReadonlyTColor` | `SILVER`
`static ReadonlyTColor` | `SKYBLUE`
`static ReadonlyTColor` | `SLATEBLUE`
`static ReadonlyTColor` | `SLATEGRAY`
`static ReadonlyTColor` | `SNOW`
`static ReadonlyTColor` | `SPRINGGREEN`
`static ReadonlyTColor` | `STEELBLUE`
`static ReadonlyTColor` | `TAN`
`static ReadonlyTColor` | `TEAL`
`static ReadonlyTColor` | `THISTLE`
`static ReadonlyTColor` | `TOMATO`
`static ReadonlyTColor` | `TRANSPARENT`
`static ReadonlyTColor` | `TURQUOISE`
`static ReadonlyTColor` | `VIOLET`
`static ReadonlyTColor` | `WHEAT`
`static ReadonlyTColor` | `WHITE`
`static ReadonlyTColor` | `WHITESMOKE`
`static ReadonlyTColor` | `YELLOW`
`static ReadonlyTColor` | `YELLOWGREEN`

Constructor Summary
`NamedColor()`

Method Summary
`static ReadonlyTColor` | `getForName(java.lang.String name)` Returns a color for the given name.
`static java.util.ArrayList<java.lang.String>` | `getNames()` Returns the names of all defined colors.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALICEBLUE

    public static final ReadonlyTColor ALICEBLUE

### ANTIQUEWHITE

    public static final ReadonlyTColor ANTIQUEWHITE

### AQUA

    public static final ReadonlyTColor AQUA

### AQUAMARINE

    public static final ReadonlyTColor AQUAMARINE

### AZURE

    public static final ReadonlyTColor AZURE

### BARK

    public static final ReadonlyTColor BARK

### BEIGE

    public static final ReadonlyTColor BEIGE

### BISQUE

    public static final ReadonlyTColor BISQUE

### BLACK

    public static final ReadonlyTColor BLACK

### BLANCHEDALMOND

    public static final ReadonlyTColor BLANCHEDALMOND

### BLUE

    public static final ReadonlyTColor BLUE

### BLUEVIOLET

    public static final ReadonlyTColor BLUEVIOLET

### BROWN

    public static final ReadonlyTColor BROWN

### BURLYWOOD

    public static final ReadonlyTColor BURLYWOOD

### CADETBLUE

    public static final ReadonlyTColor CADETBLUE

### CHARTREUSE

    public static final ReadonlyTColor CHARTREUSE

### CHOCOLATE

    public static final ReadonlyTColor CHOCOLATE

### CORAL

    public static final ReadonlyTColor CORAL

### CORNFLOWERBLUE

    public static final ReadonlyTColor CORNFLOWERBLUE

### CORNSILK

    public static final ReadonlyTColor CORNSILK

### CRIMSON

    public static final ReadonlyTColor CRIMSON

### CYAN

    public static final ReadonlyTColor CYAN

### DARKBLUE

    public static final ReadonlyTColor DARKBLUE

### DARKCYAN

    public static final ReadonlyTColor DARKCYAN

### DARKGOLDENROD

    public static final ReadonlyTColor DARKGOLDENROD

### DARKGRAY

    public static final ReadonlyTColor DARKGRAY

### DARKGREEN

    public static final ReadonlyTColor DARKGREEN

### DARKKHAKI

    public static final ReadonlyTColor DARKKHAKI

### DARKMAGENTA

    public static final ReadonlyTColor DARKMAGENTA

### DARKOLIVEGREEN

    public static final ReadonlyTColor DARKOLIVEGREEN

### DARKORANGE

    public static final ReadonlyTColor DARKORANGE

### DARKORCHID

    public static final ReadonlyTColor DARKORCHID

### DARKRED

    public static final ReadonlyTColor DARKRED

### DARKSALMON

    public static final ReadonlyTColor DARKSALMON

### DARKSEAGREEN

    public static final ReadonlyTColor DARKSEAGREEN

### DARKSLATEBLUE

    public static final ReadonlyTColor DARKSLATEBLUE

### DARKSLATEGRAY

    public static final ReadonlyTColor DARKSLATEGRAY

### DARKTURQUOISE

    public static final ReadonlyTColor DARKTURQUOISE

### DARKVIOLET

    public static final ReadonlyTColor DARKVIOLET

### DEEPPINK

    public static final ReadonlyTColor DEEPPINK

### DEEPSKYBLUE

    public static final ReadonlyTColor DEEPSKYBLUE

### DIMGRAY

    public static final ReadonlyTColor DIMGRAY

### DIMGREY

    public static final ReadonlyTColor DIMGREY

### DODGERBLUE

    public static final ReadonlyTColor DODGERBLUE

### FIREBRICK

    public static final ReadonlyTColor FIREBRICK

### FLORALWHITE

    public static final ReadonlyTColor FLORALWHITE

### FORESTGREEN

    public static final ReadonlyTColor FORESTGREEN

### FUCHSIA

    public static final ReadonlyTColor FUCHSIA

### GAINSBORO

    public static final ReadonlyTColor GAINSBORO

### GHOSTWHITE

    public static final ReadonlyTColor GHOSTWHITE

### GOLD

    public static final ReadonlyTColor GOLD

### GOLDENROD

    public static final ReadonlyTColor GOLDENROD

### GRAY

    public static final ReadonlyTColor GRAY

### GREEN

    public static final ReadonlyTColor GREEN

### GREENYELLOW

    public static final ReadonlyTColor GREENYELLOW

### GREY

    public static final ReadonlyTColor GREY

### HONEYDEW

    public static final ReadonlyTColor HONEYDEW

### HOTPINK

    public static final ReadonlyTColor HOTPINK

### INDIANRED

    public static final ReadonlyTColor INDIANRED

### INDIGO

    public static final ReadonlyTColor INDIGO

### IVORY

    public static final ReadonlyTColor IVORY

### KHAKI

    public static final ReadonlyTColor KHAKI

### LAVENDER

    public static final ReadonlyTColor LAVENDER

### LAVENDERBLUSH

    public static final ReadonlyTColor LAVENDERBLUSH

### LAWNGREEN

    public static final ReadonlyTColor LAWNGREEN

### LEMONCHIFFON

    public static final ReadonlyTColor LEMONCHIFFON

### LIGHTBLUE

    public static final ReadonlyTColor LIGHTBLUE

### LIGHTCORAL

    public static final ReadonlyTColor LIGHTCORAL

### LIGHTCYAN

    public static final ReadonlyTColor LIGHTCYAN

### LIGHTGOLDENRODYELLOW

    public static final ReadonlyTColor LIGHTGOLDENRODYELLOW

### LIGHTGREEN

    public static final ReadonlyTColor LIGHTGREEN

### LIGHTGREY

    public static final ReadonlyTColor LIGHTGREY

### LIGHTPINK

    public static final ReadonlyTColor LIGHTPINK

### LIGHTSALMON

    public static final ReadonlyTColor LIGHTSALMON

### LIGHTSEAGREEN

    public static final ReadonlyTColor LIGHTSEAGREEN

### LIGHTSKYBLUE

    public static final ReadonlyTColor LIGHTSKYBLUE

### LIGHTSLATEGRAY

    public static final ReadonlyTColor LIGHTSLATEGRAY

### LIGHTSTEELBLUE

    public static final ReadonlyTColor LIGHTSTEELBLUE

### LIGHTYELLOW

    public static final ReadonlyTColor LIGHTYELLOW

### LIME

    public static final ReadonlyTColor LIME

### LIMEGREEN

    public static final ReadonlyTColor LIMEGREEN

### LINEN

    public static final ReadonlyTColor LINEN

### MAROON

    public static final ReadonlyTColor MAROON

### MEDIUMAQUAMARINE

    public static final ReadonlyTColor MEDIUMAQUAMARINE

### MEDIUMBLUE

    public static final ReadonlyTColor MEDIUMBLUE

### MEDIUMORCHID

    public static final ReadonlyTColor MEDIUMORCHID

### MEDIUMPURPLE

    public static final ReadonlyTColor MEDIUMPURPLE

### MEDIUMSEAGREEN

    public static final ReadonlyTColor MEDIUMSEAGREEN

### MEDIUMSLATEBLUE

    public static final ReadonlyTColor MEDIUMSLATEBLUE

### MEDIUMSPRINGGREEN

    public static final ReadonlyTColor MEDIUMSPRINGGREEN

### MEDIUMTURQUOISE

    public static final ReadonlyTColor MEDIUMTURQUOISE

### MEDIUMVIOLETRED

    public static final ReadonlyTColor MEDIUMVIOLETRED

### MIDNIGHTBLUE

    public static final ReadonlyTColor MIDNIGHTBLUE

### MINTCREAM

    public static final ReadonlyTColor MINTCREAM

### MISTYROSE

    public static final ReadonlyTColor MISTYROSE

### MOCCASIN

    public static final ReadonlyTColor MOCCASIN

### NAVAJOWHITE

    public static final ReadonlyTColor NAVAJOWHITE

### NAVY

    public static final ReadonlyTColor NAVY

### OLDLACE

    public static final ReadonlyTColor OLDLACE

### OLIVE

    public static final ReadonlyTColor OLIVE

### OLIVEDRAB

    public static final ReadonlyTColor OLIVEDRAB

### ORANGE

    public static final ReadonlyTColor ORANGE

### ORANGERED

    public static final ReadonlyTColor ORANGERED

### ORCHID

    public static final ReadonlyTColor ORCHID

### PALEGOLDENROD

    public static final ReadonlyTColor PALEGOLDENROD

### PALEGREEN

    public static final ReadonlyTColor PALEGREEN

### PALETURQUOISE

    public static final ReadonlyTColor PALETURQUOISE

### PALEVIOLETRED

    public static final ReadonlyTColor PALEVIOLETRED

### PAPAYAWHIP

    public static final ReadonlyTColor PAPAYAWHIP

### PEACHPUFF

    public static final ReadonlyTColor PEACHPUFF

### PERU

    public static final ReadonlyTColor PERU

### PINK

    public static final ReadonlyTColor PINK

### PLUM

    public static final ReadonlyTColor PLUM

### POWDERBLUE

    public static final ReadonlyTColor POWDERBLUE

### PURPLE

    public static final ReadonlyTColor PURPLE

### RED

    public static final ReadonlyTColor RED

### ROSYBROWN

    public static final ReadonlyTColor ROSYBROWN

### ROYALBLUE

    public static final ReadonlyTColor ROYALBLUE

### SADDLEBROWN

    public static final ReadonlyTColor SADDLEBROWN

### SALMON

    public static final ReadonlyTColor SALMON

### SANDYBROWN

    public static final ReadonlyTColor SANDYBROWN

### SEAGREEN

    public static final ReadonlyTColor SEAGREEN

### SEASHELL

    public static final ReadonlyTColor SEASHELL

### SIENNA

    public static final ReadonlyTColor SIENNA

### SILVER

    public static final ReadonlyTColor SILVER

### SKYBLUE

    public static final ReadonlyTColor SKYBLUE

### SLATEBLUE

    public static final ReadonlyTColor SLATEBLUE

### SLATEGRAY

    public static final ReadonlyTColor SLATEGRAY

### SNOW

    public static final ReadonlyTColor SNOW

### SPRINGGREEN

    public static final ReadonlyTColor SPRINGGREEN

### STEELBLUE

    public static final ReadonlyTColor STEELBLUE

### TAN

    public static final ReadonlyTColor TAN

### TEAL

    public static final ReadonlyTColor TEAL

### THISTLE

    public static final ReadonlyTColor THISTLE

### TOMATO

    public static final ReadonlyTColor TOMATO

### TRANSPARENT

    public static final ReadonlyTColor TRANSPARENT

### TURQUOISE

    public static final ReadonlyTColor TURQUOISE

### VIOLET

    public static final ReadonlyTColor VIOLET

### WHEAT

    public static final ReadonlyTColor WHEAT

### WHITE

    public static final ReadonlyTColor WHITE

### WHITESMOKE

    public static final ReadonlyTColor WHITESMOKE

### YELLOW

    public static final ReadonlyTColor YELLOW

### YELLOWGREEN

    public static final ReadonlyTColor YELLOWGREEN

Constructor Detail

### NamedColor

    public NamedColor()

Method Detail

### getForName

    public static final ReadonlyTColor getForName(java.lang.String name)

  Returns a color for the given name.

  Parameters:
    `name` -
  Returns:
    color or null, if name not found.

### getNames

    public static final java.util.ArrayList<java.lang.String> getNames()

  Returns the names of all defined colors.

  Returns:
    list of name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD